import BaseWorkspacesGenerator from '../base-workspaces/index.js';
import { checkImages, configureImageNames, generateJwtSecret, loadFromYoRc } from '../base-workspaces/internal/docker-base.js';
export default class KubernetesKnativeGenerator extends BaseWorkspacesGenerator {
    [x: string]: {
        writeGeneratorFiles(): void;
    } | import("../../lib/types/base/tasks.js").GenericTaskGroup<any, import("../../lib/types/base/tasks.js").TaskParamWithControl, "loadConfig" | "checkDocker" | "sayHello" | "loadDockerDependenciesTask" | "checkKubernetes" | "checkHelm" | "setupKubernetesConstants" | "setupHelmConstants" | "existingDeployment" | "checkKnative" | "localInit"> | {
        askForPath: () => Promise<void>;
        askForApps: () => Promise<void>;
        askForGeneratorType: () => Promise<void>;
        askForMonitoring: () => Promise<void>;
        askForClustersMode: () => Promise<void>;
        askForServiceDiscovery: () => Promise<void>;
        askForAdminPassword: () => Promise<void>;
        askForKubernetesNamespace: typeof import("../kubernetes/prompts.js").askForKubernetesNamespace;
        askForDockerRepositoryName: () => Promise<void>;
        askForDockerPushCommand: () => Promise<void>;
        askForIngressDomain: typeof import("../kubernetes/prompts.js").askForIngressDomain;
    } | {
        generateJwtSecret: typeof generateJwtSecret;
    } | {
        loadFromYoRc: typeof loadFromYoRc;
        loadSharedConfig(): void;
    } | {
        configureImageNames: typeof configureImageNames;
        setPostPromptProp(): void;
    } | {
        checkImages: typeof checkImages;
        deploy(): void;
    } | (() => Promise<void>) | ((databaseType: any, options?: {}) => string);
    beforeQueue(): Promise<void>;
    get initializing(): import("../../lib/types/base/tasks.js").GenericTaskGroup<any, import("../../lib/types/base/tasks.js").TaskParamWithControl, "loadConfig" | "checkDocker" | "sayHello" | "loadDockerDependenciesTask" | "checkKubernetes" | "checkHelm" | "setupKubernetesConstants" | "setupHelmConstants" | "existingDeployment" | "checkKnative" | "localInit">;
    get prompting(): {
        askForPath: () => Promise<void>;
        askForApps: () => Promise<void>;
        askForGeneratorType: () => Promise<void>;
        askForMonitoring: () => Promise<void>;
        askForClustersMode: () => Promise<void>;
        askForServiceDiscovery: () => Promise<void>;
        askForAdminPassword: () => Promise<void>;
        askForKubernetesNamespace: typeof import("../kubernetes/prompts.js").askForKubernetesNamespace;
        askForDockerRepositoryName: () => Promise<void>;
        askForDockerPushCommand: () => Promise<void>;
        askForIngressDomain: typeof import("../kubernetes/prompts.js").askForIngressDomain;
    };
    get configuring(): {
        generateJwtSecret: typeof generateJwtSecret;
    };
    get loading(): {
        loadFromYoRc: typeof loadFromYoRc;
        loadSharedConfig(): void;
    };
    get preparing(): {
        configureImageNames: typeof configureImageNames;
        setPostPromptProp(): void;
    };
    get writing(): {
        writeGeneratorFiles(): void;
    };
    get end(): {
        checkImages: typeof checkImages;
        deploy(): void;
    };
    getJDBCUrl(databaseType: any, options?: {}): string;
}
